package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/9 10:41 上午
 */
@Slf4j
@Entity(name = "CHUANYUN_EQUIPMENT_PROCESS")
@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunEquipmentProcess extends BasicDO{

    /**
     * 设备
     */
    @JsonProperty("F0000002")
    private String device;

    /**
     * 工序
     */
    @JsonProperty("F0000001")
    private String procedureInfo;


}
