package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/9 10:41 上午
 */
@Slf4j
@Entity(name = "CHUANYUN_FACTORY_LOCATION")
@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunFactoryLocation extends BasicDO{

    /**
     * 工厂编码
     */
    @JsonProperty("F0000001")
    private String factoryCode;


    /**
     * 工厂名称
     */
    @JsonProperty("F0000002")
    private String factoryName;

    /**
     * 工厂负责人
     */
    @JsonProperty("F0000003")
    private String factoryCharge;

    /**
     * 工厂二级负责人
     */
    @JsonProperty("F0000004")
    private String factorySecondLevelCharge;


}
